//
//    File: x3d_mesh.h
//
//    (C) 2006 Toby Breckon
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _X3D_MESH_H
#define _X3D_MESH_H

#include "mesh.h"

using namespace std;

class X3D_Mesh : public Mesh
{
public:
  int read(FILE *f, int (*update_progress)(int pos),
	   void (*set_total)(int size));
  void write(FILE *f, const char *comment = "");
};

#endif
