//
//    File: viewpointdialog.h
//
//    (C) 2000-2006 Helmut Cantzler
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _VIEWPOINTDIALOG_H
#define _VIEWPOINTDIALOG_H

#include <QDialog>
#include "glmesh.h"

class QTableWidget;
class QLineEdit;

class ViewpointDialog : public QDialog
{
  Q_OBJECT
 public:
  ViewpointDialog(QWidget *parent, GLMesh_Settings *s);

 private slots:
  void accept();

 private:
  GLMesh_Settings *settings;

  QTableWidget *table;
  QLineEdit *xshift, *yshift, *zshift, *clipping;
};

#endif
