//
//    File: coordinates.h
//
//    (C) 2000-2006 Helmut Cantzler
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _COORDINATES_H
#define _COORDINATES_H

#include <QMainWindow>

#include "mesh.h"

class QTextEdit;

class CoordinatesWindow : public QMainWindow
{
  Q_OBJECT
 public:
  CoordinatesWindow(QWidget *parent, Mesh *mesh);

  void printResult(const Vertex *v, const Edge *e, const Triangle *t);

 public slots:

 private:
  QTextEdit *textfield;
  Mesh *mesh;
};

#endif
