//
//    File: main.cc
//
//    (C) 2000-2006 Helmut Cantzler
//
//    Licensed under the terms of the Lesser General Public License.
//

#include <QApplication>
#include <QGLFormat>

#include "mview.h"

int main(int argc, char **argv)
{
  QApplication a(argc, argv);

  if (!QGLFormat::hasOpenGL())
    {
      qWarning("This QT libary has no OpenGL support. Install a library with OpenGL support. Exiting.");
      return -1;
    }

  //  GLMesh m;
  MView m(argc, argv);
  m.show();

  return a.exec();
}
